Recent

Author Topic: Firebird El Capitan can not load default Firebird clients  (Read 3210 times)

Chris

  • New Member
  • *
  • Posts: 28
Firebird El Capitan can not load default Firebird clients
« on: April 21, 2016, 02:14:48 pm »
Hi

I've got a project that works fine when I compile it for Windows, but when I compile with OSX V 10.11.4 as soon as I try and run it I get the following error; Can not load Firebird clients ("libfbclient.dylib" or libgds.dylib" or libfembed.dylib"). check your installation.

At first I thought it was an issue with my Firebird installation, however Flame Robin installed on the same machine accessing the same database as my application works perfectly.   

I'm using Lazarus V1.6 and FPC V3.0.0

I'd be very grateful if anyone has any suggestions.   

Thanks


mickaelTrecant

  • Newbie
  • Posts: 1
Re: Firebird El Capitan can not load default Firebird clients
« Reply #1 on: December 31, 2019, 12:35:08 pm »
Hello,

I had recently to deal with this message , despite the configuration of my computer was good ( Firebird is use by a previously installed software and I can also connect to database within ibexpert or flamerobin ) .

But I always had this message with Lazarus when I tried to connect fo a firebird database with TSQLConnector or TIBConnection ....  I find out that in my case the problem came from the Lazarus setup I  installed  : I have download the 64 bits version ( because my work computer is running a Windows 10 64 bits version ) but always had this problem with "firebird clients not found " , no matter where I tried to copy the FBCLIENT.DLL or GDS32.DLL( for example, next to the exe is good way to understand if this is the real issue but did'nt work for me in that case )  .

The workaround I finally found was to install the 32 bits version of Lazarus instead of the 64-bits one  and with it I could connect to Firebird Database !
I need to mention that I use a deprecated Firebird version wich is 2.1  ( because of my work context ) and also the version of Firebird installed is probably a 32 bits version ,so  maybe the Lazarus version has to be the same that Firebird installed in order to load the correct DLL ? ( I mean Lazarus 32 bits with Firebird 32 bits  ) .

I hope this could help some people facing this probleme , it's only a workaround but if you are still blocked despite having following all standard advices about that issue ,  maybe you will want to try this one !

Regards ,
Mika

 

TinyPortal © 2005-2018